// NasobeniMatic.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <conio.h>

// vynasobi matice A, B, zapise do matice C
void vynasob(int A[3][3], int B[3][3], int C[3][3])
{
	int rozmer = 3;

	// vynulovani vysledne matice, rovnou do ni pricitame
	for (int i = 0; i < rozmer; i++)
		for (int j = 0; j < rozmer; j++)
			C[i][j] = 0;

	// a nasobeni
	// namalujte si tri matice, jak se nasobi, a uvedomte si, ze toto funguje
	for (int i = 0; i < rozmer; i++)
		for (int j = 0; j < rozmer; j++)
			for (int k = 0; k < rozmer; k++)
				C[i][j] += A[i][k] * B[k][j];
				// C[i][j] - resim prvek na i-tem radku a j-tem sloupci ve vysledne matici
				// A[i][k] - v prvni matici beru porad jeden radek [i] a posunuji se po nem pomoci [k]
				// B[k][j] - v druhe metici se posunuji porad po stejnem sloupci [j] pomoci [k]
}

int main()
{
	// takto se mohou pole take inicializovat, lze napsat pouze pri deklaraci
	// pole, pozdeji jiz nikoliv
	// necht prvni index je cislo radku, druhy cislo sloupce
	int A[3][3] = { { 1, 3, 5 }, {3, 5, 6}, {1, 2, 2} };
	int B[3][3] = { { 1, 3, 5 }, {3, 5, 6}, {1, 2, 2} };
	int C[3][3];

	vynasob(A, B, C);

	// vypis C
	for (int i = 0; i < 3; i++)
	{
		for (int j = 0; j < 3; j++)
			printf("%3i ", C[i][j]);

		printf("\n"); // vypis dalsi radek
	}

	getch();
	return 0;
}

